Hello
I just created a macro to automatically create my unfolded view and then a 2nd one with the 3 views and an isometric view.
I would like the 3 views to be with a style on "visible hidden lines" and the isometric view with shaded image edge (ok) and especially with the "visible tangent edges" (only for the iso view)
I'm missing much more but as I'm struggling a helping hand will inevitably help me.
Here's my code:
Sub MepPliage()
Dim SwDraw As SldWorks.DrawingDoc
Dim swSheet As SldWorks.Sheet
Dim boolstatus As Boolean
Dim swView As SldWorks.View
Set SwDraw = swApp.ActiveDoc
bRet = SwDraw.NewSheet4("Feuille2", swDwgPaperA4sizeVertical, swDwgTemplateA4sizeVertical, 1, 1, True, sDrTemplatePliage, 0.297, 0.21, "", 0.5, 0.5, 0.5, 0.5, 0, 0)
'On rend la feuille2active
bRet = SwDraw.ActivateSheet("Feuille2")
'Création des 3 vues
bRet = SwDraw.Create3rdAngleViews(sOutputFolder + ".sldprt")
'Création de la vue Isométrique
Set swView = SwDraw.CreateDrawViewFromModelView3(sOutputFolder + ".sldprt", "*Isométrique", 0.23, 0.15, 0)
swView.UseSheetScale = True
bRet = swView.SetDisplayMode3(False, swSHADED, False, True)
'On change le fond de plan et l'échelle
bRet = SwDraw.SetupSheet6("Feuille2", swDwgPaperSizes_e.swDwgPapersUserDefined, swDwgTemplates_e.swDwgTemplateCustom, 1, 5, True, sDrTemplatePliage, 0.2794, 0.2159, "Default", True, 0, 0, 0, 0, 0, 0)
End Sub